import { RequestParams } from "../Request";
import type { Controllers, EmailOptions, Firewall, ObjectStateMapping, Options, Routes, Timings } from "./interfaces";
import { ResponseParams } from "./utils";
/**
 * Apiker class definition.
 * ⚠️ Please do not instantiate this class and use the "apiker" exported instance instead.
 */
export declare class Apiker {
    name: string;
    routes: Routes;
    controllers: Controllers;
    debug: boolean;
    objectVersion: string;
    objects: string[];
    objectStateMapping: ObjectStateMapping;
    authRoutes: boolean;
    env: any;
    requestParams: RequestParams;
    responseParams: ResponseParams;
    responseHeaders: Headers;
    firewall: Firewall | boolean;
    adminPanel: boolean;
    email?: EmailOptions;
    timings: Timings;
    defaultObjectName: string;
    /**
     * Initialize Apiker, perform basic validation
     */
    init: (options?: Options) => Response | undefined;
    /**
     * Set options
     */
    setProps: (options?: Options) => void;
    /**
     * Creates a durable object class definition
     */
    getObjectClassDefinition: (objectName: string) => {
        new (state: any): {
            state: any;
            fetch: (request: any) => Promise<Response>;
        };
    };
}
/**
 * Instance of the Apiker class
 */
declare const apiker: Apiker;
export { apiker };
//# sourceMappingURL=Apiker.d.ts.map