/**
 * Bans an entity
 * @param entity The user's ID (can be any string, but preferable a signedIp acquired through getSignedIp())
 * @param clientId The user's clientId (defaulting to getClientId())
 */
export declare const banEntity: (entity: string, clientId?: string) => Promise<void>;
/**
 * Unbans an entity
 * @param entity The user's ID (can be any string, but preferable a signedIp acquired through getSignedIp())
 */
export declare const unbanEntity: (entity: string) => Promise<any>;
/**
 * Checks whether an entity is banned
 * @param entity The user's ID (can be any string, but preferable a signedIp acquired through getSignedIp())
 */
export declare const isEntityBanned: (entity: string) => Promise<boolean>;
/**
 * Get a list of banned entries for a given entity
 * @param entity The user's ID (can be any string, but preferable a signedIp acquired through getSignedIp())
 * @param limit The number of results to return
 */
export declare const getBannedEntries: (entity: string, limit?: number) => Promise<import("../Logging").LogObject[]>;
/**
 * Get a list of banned entries (without filtering by entity)
 * @param entity The user's ID (can be any string, but preferable a signedIp acquired through getSignedIp())
 * @param limit The number of results to return
 */
export declare const getBannedEntities: (limit?: number) => Promise<import("../Logging").LogObject[]>;
//# sourceMappingURL=Bans.d.ts.map